<div class="login-container">
  <h3 class="text-center">{{title}}</h3>
    <form [formGroup]="form">
      <span *ngFor="let name of names">
        <ng-container *ngIf="verificarPasword(name) else pasword">
          <div class="form-group">
            <label for="{{name}}"><span class="required">*</span>{{name}}:</label>
            <input type="text" class="form-control rounded" id="{{name}}" formControlName="{{name}}">
            <small appErrorInput [touched]="form.controls[name].touched" [dirty]="form.controls[name].dirty" [errors]="form.controls[name].errors" class="error-message"></small>
          </div>
          <br>
        </ng-container>
      <ng-template #pasword>
        <div class="form-group">
          <label for="{{name}}"><span class="required">*</span>{{name}}:</label>
          <input type="password" class="form-control rounded" id="{{name}}" formControlName="{{name}}">
          <small appErrorInput [touched]="form.controls[name].touched" [dirty]="form.controls[name].dirty" [errors]="form.controls[name].errors" class="error-message"></small>
        </div>
        <br>
      </ng-template>
      </span>
      <ng-content></ng-content>
      <br>
      <div class="form-group">
        <button class="btn btn-primary btn-block w-100" (click)="emitData()">Entrar</button>
      </div>
    </form>
  </div>
  